/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * 構造を保持します。
 */
package blanco.fixedlength.valueobject;

import java.util.ArrayList;

/**
 * 構造を保持します。
 */
public class BlancoFixedLengthStructure {
    /**
     * フィールド [fileDefinitionId]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル定義ID
     */
    private String fFileDefinitionId;

    /**
     * フィールド [packageName]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名
     */
    private String fPackageName;

    /**
     * フィールド [fileDescription]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルの説明。
     */
    private String fFileDescription;

    /**
     * フィールド [encoding]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコーディング。
     */
    private String fEncoding;

    /**
     * フィールド [runtimePackage]
     *
     * 項目の型 [java.lang.String]<br>
     * ランタイムクラスを生成する生成先を指定します。パッケージ名が確定された状態で格納されます。
     */
    private String fRuntimePackage;

    /**
     * フィールド [listField]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * フィールドのリスト。
     */
    private ArrayList fListField = new ArrayList();

    /**
     * フィールド [fileDefinitionId]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル定義ID
     *
     * @param argFileDefinitionId フィールド[fileDefinitionId]に格納したい値
     */
    public void setFileDefinitionId(final String argFileDefinitionId) {
        fFileDefinitionId = argFileDefinitionId;
    }

    /**
     * フィールド[fileDefinitionId]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル定義ID
     *
     * @return フィールド[fileDefinitionId]に格納されている値
     */
    public String getFileDefinitionId() {
        return fFileDefinitionId;
    }

    /**
     * フィールド [packageName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名
     *
     * @param argPackageName フィールド[packageName]に格納したい値
     */
    public void setPackageName(final String argPackageName) {
        fPackageName = argPackageName;
    }

    /**
     * フィールド[packageName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名
     *
     * @return フィールド[packageName]に格納されている値
     */
    public String getPackageName() {
        return fPackageName;
    }

    /**
     * フィールド [fileDescription]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルの説明。
     *
     * @param argFileDescription フィールド[fileDescription]に格納したい値
     */
    public void setFileDescription(final String argFileDescription) {
        fFileDescription = argFileDescription;
    }

    /**
     * フィールド[fileDescription]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルの説明。
     *
     * @return フィールド[fileDescription]に格納されている値
     */
    public String getFileDescription() {
        return fFileDescription;
    }

    /**
     * フィールド [encoding]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコーディング。
     *
     * @param argEncoding フィールド[encoding]に格納したい値
     */
    public void setEncoding(final String argEncoding) {
        fEncoding = argEncoding;
    }

    /**
     * フィールド[encoding]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコーディング。
     *
     * @return フィールド[encoding]に格納されている値
     */
    public String getEncoding() {
        return fEncoding;
    }

    /**
     * フィールド [runtimePackage]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ランタイムクラスを生成する生成先を指定します。パッケージ名が確定された状態で格納されます。
     *
     * @param argRuntimePackage フィールド[runtimePackage]に格納したい値
     */
    public void setRuntimePackage(final String argRuntimePackage) {
        fRuntimePackage = argRuntimePackage;
    }

    /**
     * フィールド[runtimePackage]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ランタイムクラスを生成する生成先を指定します。パッケージ名が確定された状態で格納されます。
     *
     * @return フィールド[runtimePackage]に格納されている値
     */
    public String getRuntimePackage() {
        return fRuntimePackage;
    }

    /**
     * フィールド [listField]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * フィールドのリスト。
     *
     * @param argListField フィールド[listField]に格納したい値
     */
    public void setListField(final ArrayList argListField) {
        fListField = argListField;
    }

    /**
     * フィールド[listField]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * フィールドのリスト。
     *
     * @return フィールド[listField]に格納されている値
     */
    public ArrayList getListField() {
        return fListField;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.fixedlength.valueobject.BlancoFixedLengthStructure[");
        buf.append("fileDefinitionId=" + fFileDefinitionId);
        buf.append(",packageName=" + fPackageName);
        buf.append(",fileDescription=" + fFileDescription);
        buf.append(",encoding=" + fEncoding);
        buf.append(",runtimePackage=" + fRuntimePackage);
        buf.append(",listField=" + fListField);
        buf.append("]");
        return buf.toString();
    }
}
